<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$disputeId = '192746554';
$response = $api->Disputes->GetDocumentsForDispute($disputeId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myDispute = {
Id: '192746554',
}
const listDisputeDocuments = async (disputeId) => {
return await mangopay.Disputes.getDocumentsForDispute(disputeId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listDisputeDocuments(myDispute.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listDocumentsForDispute(disputeId)
begin
response = MangoPay::Dispute.fetch_documents(disputeId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Dispute Documents: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myDispute = {
Id:'192746554'
}
listDocumentsForDispute(myDispute[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.DisputeDocument;
public class ListDisputeDocs {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var disputeId = "dispute_m_01J354MZ17XZA4DMAQS1766VXM";
List<DisputeDocument> disputeDocs = mangopay.getDisputeApi().getDocumentsForDispute(disputeId, null, null, null);
for (DisputeDocument disputeDoc : disputeDocs) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(disputeDoc);
System.out.println(prettyJson);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import DisputeDocument
dispute_docs = DisputeDocument.all(dispute_id = "dispute_m_01HQT8ZRCWP0HBT8QGRFMBA97B")
for dispute_doc in dispute_docs:
print()
pprint(dispute_doc._data)
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var disputeId = "dispute_m_01J41GEVRQN3W1C4YRK7NC04QT";
var viewDisputeDocs = await api.Disputes.GetDocumentsForDisputeAsync(disputeId, new Pagination(1, 10), null);
string prettyPrint = JsonConvert.SerializeObject(viewDisputeDocs, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"DisputeId": "159102965",
"Type": "DELIVERY_PROOF",
"Id": "159188418",
"Tag": null,
"CreationDate": 1672655973,
"ProcessedDate": null,
"Status": "VALIDATION_ASKED",
"RefusedReasonType": null,
"RefusedReasonMessage": null
}
]
Dispute documents
List Documents for a Dispute
GET
/
v2.01
/
{ClientId}
/
disputes
/
{DisputeId}
/
documents
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$disputeId = '192746554';
$response = $api->Disputes->GetDocumentsForDispute($disputeId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myDispute = {
Id: '192746554',
}
const listDisputeDocuments = async (disputeId) => {
return await mangopay.Disputes.getDocumentsForDispute(disputeId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listDisputeDocuments(myDispute.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listDocumentsForDispute(disputeId)
begin
response = MangoPay::Dispute.fetch_documents(disputeId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Dispute Documents: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myDispute = {
Id:'192746554'
}
listDocumentsForDispute(myDispute[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.DisputeDocument;
public class ListDisputeDocs {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var disputeId = "dispute_m_01J354MZ17XZA4DMAQS1766VXM";
List<DisputeDocument> disputeDocs = mangopay.getDisputeApi().getDocumentsForDispute(disputeId, null, null, null);
for (DisputeDocument disputeDoc : disputeDocs) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(disputeDoc);
System.out.println(prettyJson);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import DisputeDocument
dispute_docs = DisputeDocument.all(dispute_id = "dispute_m_01HQT8ZRCWP0HBT8QGRFMBA97B")
for dispute_doc in dispute_docs:
print()
pprint(dispute_doc._data)
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var disputeId = "dispute_m_01J41GEVRQN3W1C4YRK7NC04QT";
var viewDisputeDocs = await api.Disputes.GetDocumentsForDisputeAsync(disputeId, new Pagination(1, 10), null);
string prettyPrint = JsonConvert.SerializeObject(viewDisputeDocs, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
[
{
"DisputeId": "159102965",
"Type": "DELIVERY_PROOF",
"Id": "159188418",
"Tag": null,
"CreationDate": 1672655973,
"ProcessedDate": null,
"Status": "VALIDATION_ASKED",
"RefusedReasonType": null,
"RefusedReasonMessage": null
}
]
Path parameters
Responses
200
200
The list of dispute documents created by the platform.
Show properties
Show properties
The dispute document created by the platform.
Show properties
Show properties
Returned values:
DELIVERY_PROOF, INVOICE, REFUND_PROOF, USER_CORRESPONDANCE, USER_ACCEPTANCE_PROOF, PRODUCT_REPLACEMENT_PROOF, OTHERThe type of the dispute document.Max length: 128 characters (see data formats for details)The unique identifier of the object.
Returned values:
CREATED, VALIDATION_ASKED, VALIDATED, REFUSED, OUT_OF_DATEThe status of the dispute document.Returned values: DOCUMENT_DO_NOT_MATCH_USER_DATA, DOCUMENT_FALSIFIED, DOCUMENT_HAS_EXPIRED, DOCUMENT_INCOMPLETE, DOCUMENT_MISSING, DOCUMENT_NOT_ACCEPTED, DOCUMENT_UNREADABLE, SPECIFIC_CASE, UNDERAGE_PERSONThe reason for the dispute document refusal. See the RefusedReasonMessage for more information.
[
{
"DisputeId": "159102965",
"Type": "DELIVERY_PROOF",
"Id": "159188418",
"Tag": null,
"CreationDate": 1672655973,
"ProcessedDate": null,
"Status": "VALIDATION_ASKED",
"RefusedReasonType": null,
"RefusedReasonMessage": null
}
]
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$disputeId = '192746554';
$response = $api->Disputes->GetDocumentsForDispute($disputeId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myDispute = {
Id: '192746554',
}
const listDisputeDocuments = async (disputeId) => {
return await mangopay.Disputes.getDocumentsForDispute(disputeId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
listDisputeDocuments(myDispute.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def listDocumentsForDispute(disputeId)
begin
response = MangoPay::Dispute.fetch_documents(disputeId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch Dispute Documents: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myDispute = {
Id:'192746554'
}
listDocumentsForDispute(myDispute[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.entities.DisputeDocument;
public class ListDisputeDocs {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var disputeId = "dispute_m_01J354MZ17XZA4DMAQS1766VXM";
List<DisputeDocument> disputeDocs = mangopay.getDisputeApi().getDocumentsForDispute(disputeId, null, null, null);
for (DisputeDocument disputeDoc : disputeDocs) {
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(disputeDoc);
System.out.println(prettyJson);
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import DisputeDocument
dispute_docs = DisputeDocument.all(dispute_id = "dispute_m_01HQT8ZRCWP0HBT8QGRFMBA97B")
for dispute_doc in dispute_docs:
print()
pprint(dispute_doc._data)
using MangoPay.SDK;
using MangoPay.SDK.Entities;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var disputeId = "dispute_m_01J41GEVRQN3W1C4YRK7NC04QT";
var viewDisputeDocs = await api.Disputes.GetDocumentsForDisputeAsync(disputeId, new Pagination(1, 10), null);
string prettyPrint = JsonConvert.SerializeObject(viewDisputeDocs, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?